import sys
import numpy as np
import matplotlib.pyplot as plt

if len(sys.argv) < 2:
    print("Usage: intra-copy.py output.png")
    sys.exit(1)


def load(fname):
    d = np.loadtxt(fname)
    return d[:, 0] / 1024. / 1024., d[:, 4]


plt.rc('font', **dict(family='serif'))

plt.figure(figsize=(10, 4))
plt.plot(*load('intra-copy.128'), linewidth=0.5, label='128 MB')
plt.plot(*load('intra-copy.64'), linewidth=0.5, label='64 MB')
plt.plot(*load('intra-copy.32'), linewidth=0.5, label='32 MB')

plt.xlabel('Block size (MB)')
plt.ylabel('Throughput (MB/s)')
plt.legend(loc='lower right')
plt.savefig(sys.argv[1], dpi=300, bbox_inches='tight')
