import sys
import numpy as np
import matplotlib.pyplot as plt

gpu_data = np.loadtxt('latency-gpu.txt')
cpu_data = np.loadtxt('latency-cpu.txt')

# check that this is a good/valid idea
gpu_data = gpu_data[gpu_data < 175]
gpu_data = gpu_data[gpu_data > 150]

cpu_data = cpu_data[cpu_data < 175]
cpu_data = cpu_data[cpu_data > 150]

plt.rc('font', **dict(family='serif'))

plt.figure(figsize=(4, 3))

# divide by 2 for one-way latency
plt.hist(gpu_data / 2, bins=100, normed=True, color='#3b5b92', label='GPU', linewidth=0)
plt.hist(cpu_data / 2, bins=100, normed=True, color='#d54d4d', label='CPU', linewidth=0)

plt.xlabel(u'Latency in \u00b5s')
plt.ylabel('Frequency')
plt.legend(loc='upper right')
plt.savefig('latency.pdf', dpi=300, bbox_inches='tight')
